/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'userid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'username',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'username',
        prop: 'username',
        dataType: 'TEXT',
      },
      {
        name: 'usercode',
        prop: 'usercode',
        dataType: 'TEXT',
      },
      {
        name: 'certtype',
        prop: 'certtype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'certno',
        prop: 'certno',
        dataType: 'TEXT',
      },
      {
        name: 'sex',
        prop: 'sex',
        dataType: 'TEXT',
      },
      {
        name: 'mobilephone',
        prop: 'mobilephone',
        dataType: 'TEXT',
      },
      {
        name: 'loginname',
        prop: 'loginname',
        dataType: 'TEXT',
      },
      {
        name: 'enable',
        prop: 'enable',
        dataType: 'YESNO',
      },
      {
        name: 'memo',
        prop: 'memo',
        dataType: 'INHERIT',
      },
      {
        name: 'userid',
        prop: 'userid',
        dataType: 'GUID',
      },
      {
        name: 'user',
        prop: 'userid',
        dataType: 'FONTKEY',
      },
    ]
  }

}